# Actions API

A RESTful service for the Actions API.

- [REST Resource: v2](https://developers.google.com/assistant/actions/api/reference/rest#v2)
- [REST Resource: v2.projects](https://developers.google.com/assistant/actions/api/reference/rest#v2.projects)
- [REST Resource: v2.projects.draft](https://developers.google.com/assistant/actions/api/reference/rest#v2.projects.draft)
- [REST Resource: v2.projects.preview](https://developers.google.com/assistant/actions/api/reference/rest#v2.projects.preview)
- [REST Resource: v2.projects.releaseChannels](https://developers.google.com/assistant/actions/api/reference/rest#v2.projects.releaseChannels)
- [REST Resource: v2.projects.versions](https://developers.google.com/assistant/actions/api/reference/rest#v2.projects.versions)
- [REST Resource: v2.sampleProjects](https://developers.google.com/assistant/actions/api/reference/rest#v2.sampleProjects)

## Service: actions.googleapis.com

To call this service, we recommend that you use the Google-provided [client libraries](https://cloud.google.com/apis/docs/client-libraries-explained). If your application needs to use your own libraries to call this service, use the following information when you make the API requests.

### Discovery document

A [Discovery Document](https://developers.google.com/discovery/v1/reference/apis) is a machine-readable specification for describing and consuming REST APIs. It is used to build client libraries, IDE plugins, and other tools that interact with Google APIs. One service may provide multiple discovery documents. This service provides the following discovery document:

- <https://actions.googleapis.com/$discovery/rest?version=v2>

### Service endpoint

A [service endpoint](https://cloud.google.com/apis/design/glossary#api_service_endpoint) is a base URL that specifies the network address of an API service. One service might have multiple service endpoints. This service has the following service endpoint and all URIs below are relative to this service endpoint:

- `https://actions.googleapis.com`

## REST Resource: [v2](https://developers.google.com/assistant/actions/api/reference/rest/v2/TopLevel)

| Methods ||
|---|---|
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/TopLevel/decryptSecret` | `POST /v2:decryptSecret` Decrypts the OAuth client secret used in account linking flows. |
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/TopLevel/encryptSecret` | `POST /v2:encryptSecret` Encrypts the OAuth client secret used in account linking flows. |
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/TopLevel/setWebAndAppActivityControl` | `POST /v2:setWebAndAppActivityControl` Sets the Web \& App Activity control on a service account. |

## REST Resource: [v2.projects](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects)

| Methods ||
|---|---|
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/projects/matchIntents` | `POST /v2/{project=projects/*}:matchIntents` Finds the intents that match a given query. |
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/projects/sendInteraction` | `POST /v2/{project=projects/*}:sendInteraction` Plays one round of the conversation. |

## REST Resource: [v2.projects.draft](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.draft)

| Methods ||
|---|---|
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.draft/read` | `POST /v2/{name=projects/*/draft}:read` Reads the entire content of the project draft. |
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.draft/write` | `POST /v2/{parent=projects/*}/draft:write` Updates the project draft based on the model. |

## REST Resource: [v2.projects.preview](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.preview)

| Methods ||
|---|---|
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.preview/write` | `POST /v2/{parent=projects/*}/preview:write` Updates the user's project preview based on the model. |

## REST Resource: [v2.projects.releaseChannels](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels)

| Methods ||
|---|---|
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.releaseChannels/list` | `GET /v2/{parent=projects/*}/releaseChannels` Lists all release channels and corresponding versions, if any. |

## REST Resource: [v2.projects.versions](https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions)

| Methods ||
|---|---|
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/create` | `POST /v2/{parent=projects/*}/versions:create` Creates a project version based on the model and triggers deployment to the specified release channel, if specified. |
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/list` | `GET /v2/{parent=projects/*}/versions` Lists all versions and their current states. |
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/projects.versions/read` | `POST /v2/{name=projects/*/versions/*}:read` Reads the entire content of a project version. |

## REST Resource: [v2.sampleProjects](https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects)

| Methods ||
|---|---|
| `https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects/list` | `GET /v2/sampleProjects` Lists all the sample projects supported by the gactions CLI. |